Subject: bug#56818: 28.1; c-mode font-lock issues in Emacs 28

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Jul 2022 08:56:21 +0300

> From: Bill Sacks <[email-masked]>
> Date: Thu, 28 Jul 2022 14:32:09 -0600
> 
> Starting with Emacs 28, I have been seeing font-lock issues when editing C and C++ code. The situation
> where I see this the most (though I'm not sure if it's the only situation) is when I am writing a comment and
> currently have a space at the end of the comment line: in this situation, the fontification of a variable name or
> function name on the next line becomes broken until I type a non-space character to end the current line.
> 
> The attached screen shots illustrate the problem: nospaces.png shows the correct fontification;
> space_before_var.png and space_before_function.png show that variable and function names lose their
> fontification when there is a space at the end of the previous comment line. Running M-x
> font-lock-fontify-buffer temporarily fixes the issue.
> 
> The problem occurs even when using emacs -Q. I have tried the latest emacs28 pretest and the latest
> nightly build available from emacsformacosx (though with my customizations – NOT with emacs -Q) and
> those also exhibit the problem. The latest emacs27 from emacsformacosx does NOT have this issue.

Alan, this seems to be a regression in Emacs 28, so could you please
look into it?